package com.isu.gaswellwatch.entity;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;

/**
 * 气井对象 gas_wells
 * 
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class GasWell extends Model<GasWell>  {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 气井名称 */
    private String name;

    /** 描述 */
    private String details;

    /** 设备ID */
    private Long deviceId;

    /** 区块ID */
    private Long blockId;

    /** 创建时间 */
    private String createTime;

    /** 更新时间 */
    private String updateTime;



}
