package com.isu.gaswellwatch.modbus.data;

/**
 * 数据持久化处理器
 *
 * @author <a href="mailto:shilong.wang@alpha-ess.com">王仕龙</a>
 * 2024/11/23 11:53
 */
public interface PersistenceHandler {
    public static final String MODBUS_DEVICE_TYPE = "KNPCV1";
    String DEVICE_DATA_CACHE = "data:device:";

    void createTable(String tableName);

    void insert(String tableName, String cacheKey);

}
